=== debian/control ===
Source: cfortran
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Bastien Roucariès <rouca@debian.org>
Vcs-Git: https://salsa.debian.org/science-team/cfortran.git
Vcs-Browser: https://salsa.debian.org/science-team/cfortran
Homepage: http://sourceforge.net/projects/cfortran/
Build-Depends: debhelper (>= 11),
    gfortran <!nocheck>
Standards-Version: 4.1.4

Package: cfortran
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: gcc | c-compiler, gfortran | fortran-compiler
Description: Header file permitting Fortran routines to be called in C/C++
 cfortran.h is an easy-to-use powerful bridge between C and FORTRAN.
 It provides a completely transparent, machine independent interface between
 C and FORTRAN routines (= subroutines and/or functions) and global data,
 i.e. structures and COMMON blocks.
