=== debian/tests/control ===
Tests: runexamples
Depends: cfortran, gcc, gfortran
Restrictions: allow-stderr
