=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg\.\d+$// \
		https://sf.net/cfortran/cfortran-(.+)\.tar\.bz2
