## cfortran 20210827

=== debian/changelog ===
cfortran (20210827-1) unstable; urgency=medium

  * Use nodoc profiles for examples
  * Update to newer debian standards.
  * New upstream version
  * Bug fix: "PPSTRING arguments give unused parameter warning", thanks to
    Thomas Jahns (Closes: #798526).

 -- Bastien Roucariès <rouca@debian.org>  Thu, 26 Aug 2021 20:27:42 +0000
