=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: cfortran
 Section: devel
 Priority: optional
+Rules-Requires-Root: no
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Bastien Roucariès <rouca@debian.org>
 Vcs-Git: https://salsa.debian.org/science-team/cfortran.git
 Vcs-Browser: https://salsa.debian.org/science-team/cfortran
-Homepage: http://sourceforge.net/projects/cfortran/
-Build-Depends: debhelper (>= 11),
+Homepage: https://github.com/bastien-roucaries/cfortran
+Build-Depends: debhelper-compat (= 13),
     gfortran <!nocheck>
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
 
 Package: cfortran
 Architecture: all
